<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_network_status Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__network__status-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_network_status Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa6089a02ca87959574e86467e3e7fecb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#aa6089a02ca87959574e86467e3e7fecb">default_route</a></td></tr>
<tr class="separator:aa6089a02ca87959574e86467e3e7fecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e5ba0dd94686af1f6279fe5edac1892"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a5e5ba0dd94686af1f6279fe5edac1892">ipv4_address</a> [16]</td></tr>
<tr class="separator:a5e5ba0dd94686af1f6279fe5edac1892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18943dc3ad64e5acbe8e7bc6817b7e90"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a18943dc3ad64e5acbe8e7bc6817b7e90">ipv4_netmask</a> [16]</td></tr>
<tr class="separator:a18943dc3ad64e5acbe8e7bc6817b7e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1553cbed186cacfd0409340e64dd7c25"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a1553cbed186cacfd0409340e64dd7c25">ipv4_gateway</a> [16]</td></tr>
<tr class="separator:a1553cbed186cacfd0409340e64dd7c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06b64b4d2114d6df25a6a06c030427a5"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a06b64b4d2114d6df25a6a06c030427a5">ipv4_dns</a> [2][16]</td></tr>
<tr class="separator:a06b64b4d2114d6df25a6a06c030427a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a655ad20866a05daacd4d2024b67a2e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a4a655ad20866a05daacd4d2024b67a2e">ipv6_address</a> [64]</td></tr>
<tr class="separator:a4a655ad20866a05daacd4d2024b67a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90bfb32249407e20ecdc6861a34f46ab"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a90bfb32249407e20ecdc6861a34f46ab">ipv6_netmask</a> [64]</td></tr>
<tr class="separator:a90bfb32249407e20ecdc6861a34f46ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e07a23f6e2e446ef2c33d9d74ea6137"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#a1e07a23f6e2e446ef2c33d9d74ea6137">ipv6_gateway</a> [64]</td></tr>
<tr class="separator:a1e07a23f6e2e446ef2c33d9d74ea6137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba6e95f01fc58cdc79394a1aec16d5c8"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#aba6e95f01fc58cdc79394a1aec16d5c8">ipv6_dns</a> [2][64]</td></tr>
<tr class="separator:aba6e95f01fc58cdc79394a1aec16d5c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae23b0791b194952a55a92820731a998d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html#ae23b0791b194952a55a92820731a998d">connection_status</a></td></tr>
<tr class="separator:ae23b0791b194952a55a92820731a998d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for networking status </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ae23b0791b194952a55a92820731a998d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae23b0791b194952a55a92820731a998d">&#9670;&nbsp;</a></span>connection_status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_network_status::connection_status</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>connection status (Indexed by <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a>) </p>

</div>
</div>
<a id="aa6089a02ca87959574e86467e3e7fecb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6089a02ca87959574e86467e3e7fecb">&#9670;&nbsp;</a></span>default_route</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool mcm_network_status::default_route</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>default route </p>

</div>
</div>
<a id="a5e5ba0dd94686af1f6279fe5edac1892"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e5ba0dd94686af1f6279fe5edac1892">&#9670;&nbsp;</a></span>ipv4_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv4_address[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 address </p>

</div>
</div>
<a id="a06b64b4d2114d6df25a6a06c030427a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06b64b4d2114d6df25a6a06c030427a5">&#9670;&nbsp;</a></span>ipv4_dns</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv4_dns[2][16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 DNS </p>

</div>
</div>
<a id="a1553cbed186cacfd0409340e64dd7c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1553cbed186cacfd0409340e64dd7c25">&#9670;&nbsp;</a></span>ipv4_gateway</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv4_gateway[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 gateway </p>

</div>
</div>
<a id="a18943dc3ad64e5acbe8e7bc6817b7e90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18943dc3ad64e5acbe8e7bc6817b7e90">&#9670;&nbsp;</a></span>ipv4_netmask</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv4_netmask[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 netmask </p>

</div>
</div>
<a id="a4a655ad20866a05daacd4d2024b67a2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a655ad20866a05daacd4d2024b67a2e">&#9670;&nbsp;</a></span>ipv6_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv6_address[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 address </p>

</div>
</div>
<a id="aba6e95f01fc58cdc79394a1aec16d5c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba6e95f01fc58cdc79394a1aec16d5c8">&#9670;&nbsp;</a></span>ipv6_dns</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv6_dns[2][64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 DNS </p>

</div>
</div>
<a id="a1e07a23f6e2e446ef2c33d9d74ea6137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e07a23f6e2e446ef2c33d9d74ea6137">&#9670;&nbsp;</a></span>ipv6_gateway</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv6_gateway[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 gateway </p>

</div>
</div>
<a id="a90bfb32249407e20ecdc6861a34f46ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90bfb32249407e20ecdc6861a34f46ab">&#9670;&nbsp;</a></span>ipv6_netmask</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_network_status::ipv6_netmask[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 netmask </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
